#
# spec file for package perl-String-Approx
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-String-Approx
%define cpan_name String-Approx
Summary:        Perl extension for approximate matching (fuzzy matching)
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Version:        3.27
Release:        8.2
Url:            http://search.cpan.org/dist/String-Approx
Source0:        %{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More)
Requires:       perl(Test::More)

%description
String::Approx lets you match and substitute strings approximately.
With this you can emulate errors: typing errorrs, speling errors,
closely related vocabularies (colour color),
genetic mutations (GAG ACT), abbreviations (McScot, MacScot).

NOTE: String::Approx suits the task of string matching,
not string comparison, and it works for strings, not for text.

 Authors:	Jarkko Hietaniemi <jhi@iki.fi>

%prep
%setup -q -n %{cpan_name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root)
%doc Artistic ChangeLog README

%changelog
* Tue Mar 26 2013 pgajdos@suse.com
- updated to 3.27:
  * Resolve https://rt.cpan.org/Ticket/Display.html?id=69029
    Do not die (adist()) on empty pattern string.
  * Resolve https://rt.cpan.org/Ticket/Display.html?id=36707
    Do not die on undefined inputs, just return undef.
  * Resolve https://rt.cpan.org/Ticket/Display.html?id=82341
    Explicitly specify the licensing to be Artistic 2 or LGPL 2.
  * Modernize all the tests to use Test::More.
  * Add some tests for UTF-8 inputs.
* Thu Nov 29 2012 pgajdos@suse.com
- Artistic-1.0 or GPL-2.0+ license
* Thu Nov 29 2012 pgajdos@suse.com
- Artistic-1.0 and GPL-2.0+ license
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Feb 17 2010 chris@computersalat.de
- initial package, version 3.26
